Nexus Mod Manager 0.60以降へのアップデートの注意喚起
Nexus Mod Managerは0.60以降大きく仕様が変わったため、
modの再インストールが必要です。
あなたのmod環境を破壊する危険性があるので注意してね
って話です。

ツイッターの方では注意喚起を行っていたんですが、大事なmod作業中で私自身アップデートしてないのと、忙しくてあまり情報追えてなくてブログ記事にするのがだいぶ遅れました。なので私も間違ってたらすいません。質問されても答えられないのであしからず。

Nexus Mod Manager(以下NMM)について
Nexusはスカイリムで最大のmodコミュニティサイトでNMMはそのNexus謹製のmod管理ツールです。
シンプルでNexusのサイトからワンボタンでmod導入できるので初心者にもオススメできるツールでした。競合の把握しにくいのと、ちょっと安定性が低いデメリットもありますが。

NMM0.6のフォルダ仮想化
NMMは0.55系から0.6系に変わる際にかねてからmodフォルダの仮想化の計画を立ててました。

modフォルダの仮想化とは、本来スカイリムのDataフォルダに配置されるmodデータを別のフォルダに入れてランチャー経由から起動することであたかもDataフォルダにmodデータがあるようにゲームに適用できる技術です。

この仮想化のメリットはmod構成をプロファイルで分けれることで、例えば検証用のmod構成とプレイ用のmod構成に分けたり、プレイに応じて分けたりもできます。
ランチャー(NMM)を経由してスカイリムを起動しないといけないのと、構成が複雑になってそれによってトラブルが増加することです。例えば仮想フォルダに必要なデータ入ってないのはよくあります。

Nexusはフォルダ仮想化のためにアルファ版で8ヶ月ほどのテストして、満を持して9月頃に登場したのですが、
何の変哲もないようなアップデートで、インストールにミスをするとmodのデータが全部吹っ飛んだり、うまく動かなくなってしまい世界中のNMMユーザーは阿鼻叫喚に。Nexusのページは怒りと失望の声で大炎上してました。

問題点
仮想化するためには一旦mod構成を除いて仮想フォルダに再インストールする必要があって、これが実質再構築なんですよね。
それは仕様なんです(厳密に言うとバグも含まれる)。

ある程度mod触ってたらわかると思うんですが、modって競合するので入れる順序が大事だったりします。NMMによって全mod強制的にインストールしたらそりゃまともにうごかないです。さらに仮想化によって余計にややこしい。

再インストールでスクリプト(Fomod)を使って入れるタイプのmodでうまくいかないのとか、追加アニメーション・ポーズに欠かせないFNISが動かないのが致命的でした。この辺はバグで今はいくらか改善されてるようです。
※Fomod形式自体古臭さ自体にも問題あるんですが…Fomodはfallout3からあるmodインストーラー形式です。たぶん

インストールの選択肢間違えると全削除とか再インストールもミスしてしまう出来の良くない仕様、アップデートに関して警告や事前の周知の不足やアップデート後も強行な姿勢をとったのがよくありませんでした。

NMMの0.55系で十分満足してる人は正直アップデートにはオススメできません。
modの再インストールは0.55以前から0.60に移行する際の仕様です。
あと仮想化しないという選択肢もありません。(できるらしいとも聞いたんですが確証なし)
やるからには再構築覚悟して必ずバックアップとってからやってください。
でも、0.55系はFallout4には対応してないので注意してください。

アップデートするなら、
Elf PrinceさんのNMM 0.60.+ - important infos, help, tips & tricks (英語)は読んでおきましょう。
あとRedditのこちらも。
[要点:0.60.5+まで一気にアプデ]NMM 0.60+へアップグレードした際に生じる問題とその簡易解決法について

0.6系からダウングレードしたい場合は以下からダウンロードして下さい。
Nexus Mod Manager - Release Notes (and download links)

0.56.1が仮想化する前のバージョンです。


まとめ
  • 0.6以上にアップデートした時点で仮想化しないという選択肢はない
  • 0.6未満からのアップデートはmodの再インストールは必須。揺るぎない。フスロダ
  • アップデートするなら必ずバックアップ取りましょう
  • いつになったらアプデしていい?→再構築してもいいやと思えるときがいいと思います
  • 0.6からmod入れてなくてNMM使いたい場合は別に問題無いです


※以下ボヤキ
modフォルダ仮想化の先駆けであるのはMod Organizer(MO)でして、こっちのが断然高機能で特に競合確認しやすいのとプロファイル切り替えで便利、dataフォルダ汚さない等で人気があります。

でも、fomodのインストールで不具合が出るのと、回避策はあるもののMO経由で32bitアプリじゃないとうまくいかない古臭い謎仕様とかあったり。あと仮想化の弊害でもあるんですが、使用者がよく分かってなくて使ってたり、一つ手順を多く踏んでるぶんトラブルが多いんです。

で、MO(仮想化)特有のトラブルなのにmodのトラブルだと思われたり、あとMOのトラブルを私に聞かれることも非常に多くて困ってます。Tポイント持ってますか?並みにMO使ってますかと聞かなくちゃいけなくて煩わしいことこの上ないです。

実際高機能なのでMO愛用してる人が多いのは分かるんですが、布教するならデメリットや問題もきちんと説明して欲しいっす。自力でトラブル解決できる人や詳しい友達に頼れるならいいんですけども。

そして、わりとシンプルだったNMMも仮想化に参入してブルータスお前もか状態ですよ。

Nexusはmodをライトユーザーにも広く普及させ、罵倒されることも多く辛苦も少なくないモッダーの保護や健全なコンテンツ管理にも熱心で、endorseやkudosなどの加点方式の評価システムなど安心してmodを出せる稀有なサイトです。
そういうサイトだからこそ、NMMは安心でシンプルでライトユーザーにもわかりやすいランチャーとして確立することが必要だったと思うんですよね。もう時すでに遅いですが。

おそらくMOというライバルがいて、追い抜くほど高機能化を目指してるんでしょうが、多数のユーザーがはたしてそれを望んでるのかなぁと思うとよくわかりません。

と言いつつ、数ヶ月後に盛大に手のひら返して、ヒャッハァー仮想化便利すぎるぜフゥハハー、と仮想化レイダーになってるかもしれません。
雑というか日和見なもので。すいません:D

追記:
いまいちメジャーじゃないですけど、TESModManagerというのがシンプルでいいかもです。
http://www.nexusmods.com/skyrim/mods/5010/?
関連記事
コメントの投稿


Does not accept comments that are all written in English on this blog for blocking a spam. If you have any questions, send a e-mail: tktk11111[at]gmail.com

コメント

tktk2016.04.26 02:11

>ChomeChome-Xさん
ありがとうございます。いちいち聞かなきゃいけないコンビニ店員の気持ちがわかったような気がします。


ChomeChome-X2016.04.26 01:07

Tポイントのくだり好きw


tktk2016.02.08 02:05

>あうさん
また一人の犠牲者が…


あう2016.02.07 20:49

自分も先ほど0.6にして今戻す作業中です
先に調べればよかった・・・


tktk2016.01.17 17:39

>mewさん
トラブルにあう前に見つけて貰えれば良かったですが、参考になれば幸いです。そうですね、手軽さが良かったんですが、動作不安定でややこしくなっちゃいましたね。


mew2016.01.16 16:27

こんにちは、NMMにアプデ通知があったのでインストールしたらゲームが立ち上がらなくなり、調べている最中こちらに辿り着きました。仕様が大きく変わったんですね。

tktkさんの仰るとおりインストーラーの手助けがあってMODプレイできているライトユーザーで、MOは仮想構築とか設定が大変そうと手軽なNMMを愛用していたので大変残念です。

過去バージョンに戻すか、別ツールへの移行をしようと思います。解りやすい記事をありがとうございました。


tktk2015.12.06 05:15

>T.Tさん
それは大変でしたね…。FO4はNMM別にしておくか、別の使ったほうがいいですね。
中身見てないので何ともですけど、スカイリムのmod更新で手一杯であんまりFO4では活動しない予定です。顔テクスチャとFaceLightなら出すかもしれないです。


T.T2015.12.05 23:30

私も0.55→0.60でひどい目に遭いました。
結局0.55に戻しましたが。

0.61でFO4に対応したのでインストールしましたが、
NMM殿のリコメンド通り、0.55とは別のフォルダ(NMM_for_FO4とした)に入れました。

ところで、
FO4用のECEやFace Light(と絵心のある方の顔データ)が待たれますねぇ。


tktk2015.12.03 18:15

>Battlerさん
大きく仕様が変わるのでそれを留意して更新しましょうということです。
ありがとうございます。以前のバージョンのダウンロードできることも追記しました。


Battler2015.12.03 11:24

0.60系NMMの問題点を簡潔にまとめていただきありがとうございます。仮想化で恩恵を受ける(と思う)人は更新すべき、ということですね。
恐縮ながら補足しますと、0.50系含め以前のバージョンもダウンロード可能です。
http://forums.nexusmods.com/index.php?/topic/896029-nexus-mod-manager-release-notes-and-download-links/